MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000811XdebugUsage problems (Wrong Results)public2012-04-15 18:552012-12-24 12:48
ReporterVirsacer 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.2Fixed in Version2.2.2 
Summary0000811: PHP Documentation Link
DescriptionPHP has the built in config vars docref_root and docref_ext for generating links in error messages. Xdebug should use them instead of its own manual_url.
You could use a default value if they are not set, but there shoudnt be 2 vars for the same purpose...

The links generated by PHP are not clickable in the browser (see screenshot)
Steps To ReproduceSet docref_root and force a php error...
TagsNo tags attached.
Operating System
PHP Version5.4.0
Attached Filespng file icon docref_error.png [^] (9,865 bytes) 2012-04-15 18:55

- Relationships

-  Notes
(0002067)
derick (administrator)
2012-04-22 14:40

Hi,

I do not disagree and it was kind of interesting to figure out why I added it in the first place. Seems like I added it on June 6th, 2002: https://github.com/derickr/xdebug/commit/e2b429e611c77b493e22634ce096787dfbc94c38 [^] . This was before PHP introduced docref on August 8th, 2002: https://github.com/derickr/php-src/commit/88c385e8176c50d0cfe1d5203cd0ce40859a1b68 [^]

I'll get rid of it in 2.2.1.

cheers,
Derick
(0002301)
derick (administrator)
2012-06-27 22:13

Fixed on github for 2.2.1 and 2.3.
(0002308)
Virsacer (reporter)
2012-06-28 19:22
edited on: 2012-06-28 19:23

Thanks for the fix, but there are still two small issues:

1. The slash needs to be part of the variable (PHPs behaviour):
return xdebug_sprintf("<a href='%s%s%s' target='_new'>%s</a>\n",
(PG(docref_root) && PG(docref_root)[0]) ? PG(docref_root) : "http://www.php.net/", [^]

2. The nameformat in the downloadable manual is i.e "function.mysqli-connect" instead of "mysqli_connect"

So now I get http://127.0.0.1/PHP//mysqli_connect.html [^] instead of http://127.0.0.1/PHP/function.mysqli-connect.html [^]

This format is also supported by the online doc: http://www.php.net/function.mysqli-connect [^]

(0002347)
fwendt (reporter)
2012-09-17 15:00

I was trying to setup Xdebug v2.2.1 at Apache 2.4.2/PHP 5.4.4 at a Linux machine and i got just there, with the same issue. So, as Virsacer reporter, i have the same problem: currently, its not possible to make Xdebug works with PHP.ini "docref_root" local documentation linkage, at a dev machine.

The sintax used by Xdebug linkage is point to function references is wrong to pharse local manual entries. Even online entries too.

I believe the "function.*" should be added at the pharsed issue, as well as the correct handler-mapping pointed above. Maybe, this just get working fine if it only follows the default PHP.ini "docref_root" behavior.

Best regards.
(0002402)
derick (administrator)
2012-12-24 12:48

I've further committed code for this - it should work now.

- Issue History
Date Modified Username Field Change
2012-04-15 18:55 Virsacer New Issue
2012-04-15 18:55 Virsacer File Added: docref_error.png
2012-04-22 14:40 derick Note Added: 0002067
2012-04-22 14:40 derick Target Version => 2.2.1
2012-06-27 22:13 derick Note Added: 0002301
2012-06-27 22:13 derick Status new => closed
2012-06-27 22:13 derick Assigned To => derick
2012-06-27 22:13 derick Resolution open => fixed
2012-06-27 22:13 derick Fixed in Version => 2.2.1
2012-06-28 19:22 Virsacer Note Added: 0002308
2012-06-28 19:22 Virsacer Status closed => feedback
2012-06-28 19:22 Virsacer Resolution fixed => reopened
2012-06-28 19:23 Virsacer Note Edited: 0002308 View Revisions
2012-07-14 23:14 derick Target Version 2.2.1 => 2.2.2
2012-09-17 15:00 fwendt Note Added: 0002347
2012-12-20 16:00 derick Status feedback => closed
2012-12-20 16:00 derick Resolution reopened => fixed
2012-12-20 16:00 derick Fixed in Version 2.2.1 => 2.2.2
2012-12-24 12:48 derick Note Added: 0002402
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker